export const dateCorrection = async (newDate: Date) => {
    /**
     * corrects the date format to be what ti is expecting
     */

    const newDateFormat = new Date(newDate)
        .toLocaleString("en-US", {
            timeZone: "UTC",
            year: "numeric",
            month: "2-digit",
            day: "2-digit",
            hour: "2-digit",
            minute: "2-digit",
            second: "2-digit",
            hourCycle: "h23", // Ensures 24-hour format
        })
        .replace(",", "");

    return newDateFormat;
};
